## RBStreamingSource RBStreamingSource — Base class for streaming sources such as internet radio |

## Functions

void | rb_streaming_source_get_progress ()
void | rb_streaming_source_set_streaming_title ()
void | rb_streaming_source_set_streaming_artist ()
void | rb_streaming_source_set_streaming_album ()

## Types and Values

struct | RBStreamingSource
struct | RBStreamingSourceClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── RBDisplayPage
                            ╰── RBSource
                                ╰── RBStreamingSource

## Implemented Interfaces

RBStreamingSource implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

This class provides handling of buffering signals and streaming song metadata common to different types of sources that play continuous streaming media.

## Functions

### rb_streaming_source_get_progress ()

    void
    rb_streaming_source_get_progress (RBStreamingSource *source,
                                      char **text,
                                      float *progress);

Provides status text and progress fraction suitable for use in a streaming source's `rb_source_get_status` method.

#### Parameters

source | a RBStreamingSource |
text | returns buffering status text. | [out callee-allocates][transfer full]
progress | returns buffering progress fraction. | [out callee-allocates]

### rb_streaming_source_set_streaming_title ()

    void
    rb_streaming_source_set_streaming_title
                                   (RBStreamingSource *source,
                                    const char *title);

Updates the streaming song title. Call this when an updated streaming song title is received from the stream.

#### Parameters

source | a RBStreamingSource |
title | the new streaming song title |

### rb_streaming_source_set_streaming_artist ()

    void
    rb_streaming_source_set_streaming_artist
                                   (RBStreamingSource *source,
                                    const char *artist);

Updates the streaming song artist name. Call this when an updated streaming song artist name is received from the stream.

#### Parameters

source | a RBStreamingSource |
artist | the new streaming song artist name |

### rb_streaming_source_set_streaming_album ()

    void
    rb_streaming_source_set_streaming_album
                                   (RBStreamingSource *source,
                                    const char *album);

Updates the streaming song album name. Call this when an updated streaming song album name is received from the stream.

#### Parameters

source | a RBStreamingSource |
album | the new streaming song album name |

## Types and Values

### struct RBStreamingSource

    struct RBStreamingSource;

### struct RBStreamingSourceClass

    struct RBStreamingSourceClass {
    	RBSourceClass parent;
    };